server.port=8083
spring.application.name=inventory-service

#config mysql database resource
spring.datasource.url=jdbc:mysql://localhost:3307/aibles_saga_order_service
spring.datasource.username=aibles_leonard
spring.datasource.password=aibles#2021
spring.jpa.show-sql=true
spring.jpa.hibernate.ddl-auto=none
spring.jpa.generate-ddl=false
spring.jpa.database-platform=org.hibernate.dialect.MySQL57Dialect

#config liquibase
spring.liquibase.change-log=classpath:/database/master-changelog.xml

#Config kafka
kafka.bootstrap.address=localhost:9092
kafka.consumer.groupid=inventory-group
kafka.publisher.topic=inventory-response
kafka.consumer.topic=inventory-command
kafka.consumer.container.factory=kafkaListenerContainerFactory
